var app = angular.module("myApp", [
        "ionic",
        "ngCordova",
        "myApp.controllers",
        "myApp.directives",
        "myApp.config",
        "myApp.filters"
    ])
    .run(function ($ionicPlatform,$rootScope,User) {
        $ionicPlatform.ready(function () {
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
                cordova.plugins.Keyboard.disableScroll(true);

            }
            if (window.StatusBar) {
                // org.apache.cordova.statusbar required
                StatusBar.styleDefault();
            }
        });
    })
    .config(function ($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
        $ionicConfigProvider.platform.ios.tabs.style('standard');
        $ionicConfigProvider.platform.ios.tabs.position('bottom');
        $ionicConfigProvider.platform.android.tabs.style('standard');
        $ionicConfigProvider.platform.android.tabs.position('bottom');

        $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
        $ionicConfigProvider.platform.android.navBar.alignTitle('center');

        $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
        $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

        $ionicConfigProvider.platform.ios.views.transition('ios');
        $ionicConfigProvider.platform.android.views.transition('android');

        $stateProvider
            .state("tab", {
                url: "/tab",
                cache: 'false',
                templateUrl: "templates/tab.html"
            })
            //首页
            .state("tab.home", {
                url: "/home",
                cache: 'false',
                views: {
                    'tab-home': {
                        templateUrl: "templates/tab-home.html",
                        controller: "HomeCtrl"
                    }
                }
            })
            // 资讯列表页
            .state("tab.news", {
                url: "/news",
                cache: 'false',
                views: {
                    'tab-news': {
                        templateUrl: "templates/tab-news.html",
                        controller: "NewsCtrl"
                    }
                }
            })
            .state("tab.news.detail", {
                url: "/detail/:newsId/:type",
                cache: 'false',
                views: {
                    'tab-news@tab': {
                        templateUrl: "templates/news-detail.html",
                        controller: "NewsDetailCtrl"
                    }
                }
            })
            //店铺列表页
            .state("tab.store", {
                url: "/store",
                cache: 'false',
                views: {
                    'tab-store': {
                        templateUrl: "templates/tab-store.html",
                        controller: "StoreCtrl"
                    }
                }
            })
            .state("tab.store.detail", {
                url: "/detail/:storeId",
                cache: 'false',
                views: {
                    'tab-store@tab': {
                        templateUrl: "templates/store-detail.html",
                        controller: "StoreDetailCtrl"
                    }
                }
            })
            .state("tab.store.yuyue", {
                url: "/yuyue/:storeId",
                cache: 'false',
                views: {
                    'tab-store@tab': {
                        templateUrl: "templates/store-yuyue.html",
                        controller: "YuYueCtrl"
                    }
                }
            })
            .state("tab.mall", {
                url: "/mall",
                cache: 'false',
                views: {
                    'tab-mall': {
                        templateUrl: "templates/tab-mall.html",
                        controller: "MallCtrl"
                    }
                }

            })
            .state("tab.mall.detail", {
                url: "/detail/:groupId",
                cache: 'false',
                views: {
                    'tab-mall@tab': {
                        templateUrl: "templates/mall-detail.html",
                        controller: "MallDetailCtrl"
                    }
                }
            })
            //购物车
            .state("tab.mall.cart", {
                url: "/cart",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-mall@tab': {
                        templateUrl: "templates/mall-cart.html",
                        controller: "MallCartCtrl"
                    }
                }
            })
            //立即购买
            .state("tab.mall.buy", {
                url: "/buy/:groupId",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-mall@tab': {
                        templateUrl: "templates/mall-buy.html",
                        controller: "MallBuyCtrl"
                    }
                }
            })
            //我的
            .state("tab.my", {
                url: "/my",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my': {
                        templateUrl: "templates/tab-my.html",
                        controller: "MyCtrl"
                    }
                }
            })
            // 健康卡
            .state("tab.my.card", {
                url: "/card",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-card.html",
                        controller: "CardCtrl"
                    }
                }
            })
            //账号信息
            .state("tab.my.account", {
                url: "/account",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-account.html",
                        controller: "AccountCtrl"
                    }
                }
            })
            //余额
            .state("tab.my.account.balance", {
                url: "/balance",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-balance.html",
                        controller: "BalanceCtrl"
                    }
                }
            })
            //充值
            // .state("tab.my.account.recharge", {
            //     url: "/recharge",
            //     cache: 'false',
            //     resolve: {
            //         userInfo:function (User) {
            //             return User.getUser();
            //         }
            //     },
            //     views: {
            //         'tab-my@tab': {
            //             templateUrl: "templates/my-recharge.html",
            //             controller: "RechargeCtrl"
            //         }
            //     }
            // })
            //账单
            .state("tab.my.account.bill", {
                url: "/bill",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-bill.html",
                        controller: "BillCtrl"
                    }
                }
            })
            //收货地址管理
            .state("tab.my.address", {
                url: "/address",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-address.html",
                        controller: "AddressCtrl"
                    }
                }
            })
            // .state("tab.my.address.modify", {
            //     url: "/modify/:adress_id",
            //     cache: 'false',
            //     resolve: {
            //         userInfo:function (User) {
            //             return User.getUser();
            //         }
            //     },
            //     views: {
            //         'tab-my@tab': {
            //             templateUrl: "templates/modifyAddress.html",
            //             controller: "ModifyAddressCtrl"
            //         }
            //     }
            // })
            //设置
            .state("tab.my.set", {
                url: "/set",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-set.html",
                        controller: "SetCtrl"
                    }
                }
            })
            //个人资料
            .state("tab.my.set.personal", {
                url: "/personal",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-personal.html",
                        controller: "PersonalCtrl"
                    }
                }
            })
            .state("tab.my.set.personal.me", {
                url: "/me",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-me.html",
                        controller: "MeCtrl"
                    }
                }
            })
            .state("tab.my.set.personal.modifyName", {
                url: "/modifyName",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/modifyName.html",
                        controller: "ModifyCtrl"
                    }
                }
            })
            .state("tab.my.set.personal.modifySex", {
                url: "/modifySex",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/modifySex.html",
                        controller: "ModifyCtrl"
                    }
                }
            })
            .state("tab.my.set.personal.modifyAge", {
                url: "/modifyAge",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/modifyAge.html",
                        controller: "ModifyCtrl"
                    }
                }
            })
            //安全与账号
            .state("tab.my.set.safe", {
                url: "/safe",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/my-safe.html",
                        controller: "SafeCtrl"
                    }
                }
            })
            .state("tab.my.set.safe.modifyPassword", {
                url: "/modifyPassword",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/modifyPassword.html",
                        controller: "ModifyCtrl"
                    }
                }
            })
            .state("tab.my.set.safe.modifySafeword", {
                url: "/modifySafeword",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/modifySafeword.html",
                        controller: "ModifyCtrl"
                    }
                }
            })
            .state("tab.my.set.safe.modifyPhone", {
                url: "/modifyPhone",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                views: {
                    'tab-my@tab': {
                        templateUrl: "templates/modifyPhone.html",
                        controller: "ModifyCtrl"
                    }
                }
            })
            .state("business", {
                url: "/business",
                cache: 'false',
                templateUrl: "templates/business.html"
            })
            //登陆
            .state("login", {
                url: "/login",
                cache: 'false',
                templateUrl: "templates/login.html",
                controller: "LoginCtrl"
            })
            //注册
            .state("reg", {
                url: "/reg",
                cache: 'false',
                templateUrl: "templates/reg.html",
                controller: "RegCtrl"
            })
            .state("about", {
                url: "/about",
                cache: 'false',
                templateUrl: "templates/about.html",
                controller:"AboutCtrl"
            })
            //忘记密码
             .state("forget", {
                url: "/forget",
                cache: 'false',
                templateUrl: "templates/forget.html",
                controller:"ForgetCtrl"
            })
            .state("resetPassword", {
                url: "/resetPassword",
                cache: 'false',
                templateUrl: "templates/resetPassword.html",
                controller:"ResetCtrl"
            })
            //新增修改收货地址
            .state("modifyAddress", {
                url: "/modifyAddress/:adress_id",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                templateUrl: "templates/modifyAddress.html",
                controller: "ModifyAddressCtrl"
            })
            //充值
            .state("recharge", {
                url: "/recharge",
                cache: 'false',
                resolve: {
                    userInfo:function (User) {
                        return User.getUser();
                    }
                },
                templateUrl: "templates/my-recharge.html",
                controller: "RechargeCtrl"
            });
        $urlRouterProvider.otherwise('/tab/home');

    });

angular.module('myApp.controllers', ['myApp.services', 'myApp.config']);

angular.module('myApp.directives', ['myApp.services']);

angular.module('myApp.services', ['ngResource', 'myApp.config']);

angular.module('myApp.filters', ['myApp.services']);