angular.module('myApp.controllers')
    //登陆
    .controller('LoginCtrl', function ($scope,$ionicHistory,$ionicPopup, $state, User) {
        $scope.loginData = {};
        $scope.login = function () {
            User.login($scope.loginData).$promise.then(function (response) {
                if (response.error_code == false) {
                    $ionicPopup.alert({
                        title: '登陆成功!',
                        buttons: [{
                            text: 'OK',
                            type: 'button-positive',
                            onTap: function (e) {
                                $ionicHistory.goBack();
                            }
                        }]
                    });
                }
                else {
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        };
    })
    //注册
    .controller('RegCtrl', function ($scope, $interval, $ionicPopup, $state, User) {
        $scope.regData = {};
        //发送手机验证码
        $scope.sendtime = 0;
        $scope.sendSms = function () {
            User.sendSms($scope.regData.mobile).$promise.then(function (response) {
                if (response.error_code == false) {
                    $ionicPopup.alert({
                        title: '验证码已发送, 请查收!',
                        buttons: [{
                            text: 'OK',
                            type: 'button-positive',
                            onTap: function (e) {
                                $scope.sendtime = 60;
                                $scope.is_send = true;
                                var timePromise = $interval(function () {
                                    if ($scope.sendtime <= 0) {
                                        $interval.cancel(timePromise);
                                        $scope.is_send = false;
                                    } else {
                                        $scope.sendtime--;
                                    }
                                }, 1000, 100);
                            }
                        }]
                    });
                }
                else {
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        };
        // 注册账号
        $scope.reg = function () {
            User.reg($scope.regData).$promise.then(function (response) {
                if (response.error_code == false) {
                    $ionicPopup.alert({
                        title: '注册成功!',
                        buttons: [{
                            text: 'OK',
                            type: 'button-positive',
                            onTap: function (e) {
                                $state.go('login');
                            }
                        }]
                    });
                } else {
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        }
    })
    .controller('ForgetCtrl', function ($scope, $interval, $ionicPopup, $state, User, Storage) {
        $scope.forgetData = {};
        //发送手机验证码
        $scope.sendtime = 0;
        $scope.sendSms = function () {
            User.sendSms($scope.forgetData.mobile).$promise.then(function (response) {
                if (response.error_code == false) {
                    $ionicPopup.alert({
                        title: '验证码已发送, 请查收!',
                        buttons: [{
                            text: 'OK',
                            type: 'button-positive',
                            onTap: function (e) {
                                $scope.sendtime = 60;
                                $scope.is_send = true;
                                var timePromise = $interval(function () {
                                    if ($scope.sendtime <= 0) {
                                        $interval.cancel(timePromise);
                                        $scope.is_send = false;
                                    } else {
                                        $scope.sendtime--;
                                    }
                                }, 1000, 100);
                            }
                        }]
                    });
                }
                else {
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        };

        $scope.checkYzm = function(){
            User.checkYzm($scope.forgetData).$promise.then(function (response) {
                if (response.error_code == false) {
                    Storage.set('tempUid',response.uid);
                    $state.go('resetPassword');
                } else {
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        }
    })
    .controller('ResetCtrl', function ($scope, $interval, $ionicPopup, $state,$stateParams, User, Storage) {
        $scope.ResetData={uid:Storage.get('tempUid')};
        $scope.reset = function(){
            if ($scope.ResetData.resetPassword != $scope.ResetData.resetPassword2) {
                $ionicPopup.alert({
                    title: '新密码和确认密码不一致!',
                });
                return;
            }
            User.modifyUser('reset', $scope.ResetData).$promise.then(function (response) {
                if (response.error_code == false) {
                    $ionicPopup.alert({
                        title: response.msg,
                        buttons: [{
                            text: 'OK',
                            type: 'button-positive',
                            onTap: function (e) {
                                $state.go('login');
                            }
                        }]
                    });
                } else {
                    $ionicPopup.alert({
                        title: response.msg,
                    });
                }
            });
        };
    });