angular.module('myApp.controllers')
    .controller('MallCtrl',function($scope,$state,Merchant){
    	Merchant.get_group_list().$promise.then(function(response) {
            $scope.group_list = response.data;
        });
        $scope.new = 1;
        $scope.hot = "";
        $scope.activity = "";
        $scope.order='-last_time';
        $scope.sort = function (type) {
            switch(type){
                case 'new':
                    $scope.new = 1;
                    $scope.hot = "";
                    $scope.activity = "";
                    break;
                case 'hot':
                    $scope.new = "";
                    $scope.hot = 1;
                    $scope.activity = "";
                    break;
                case 'activity':
                    $scope.new = "";
                    $scope.hot = "";
                    $scope.activity = 1;
                    break;
            }
        }
        $scope.goto_detail = function(groupId){
        	$state.go('tab.mall.detail',{groupId:groupId});
        }
        $scope.doRefresh = function () {
            Merchant.get_group_list().$promise.then(function(response) {
                $scope.group_list = response.data;
                $scope.$broadcast('scroll.refreshComplete');
            });
        }
    })
    .controller('MallDetailCtrl',function($scope,$state,$stateParams,$ionicSlideBoxDelegate,$ionicPopup,User,Merchant,Storage){
        Merchant.get_group_detail($stateParams.groupId).$promise.then(function(response) {
            $scope.group = response.data;console.log($scope.group);
            $ionicSlideBoxDelegate.update();
        });
        $scope.goto_detail = function(groupId){
            $state.go('tab.mall.detail',{groupId:groupId});
        }
        $scope.addCart = function(groupId){
            $state.go('tab.mall.detail',{groupId:groupId});
        }
        $scope.addCart = function(groupId){
            if (!User.isLogin()) {
                $ionicPopup.alert({
                    title: '请先登陆!',
                    buttons: [{
                        text: 'OK',
                        type: 'button-positive',
                        onTap: function (e) {
                            $state.go("login");
                        }
                    }]
                });
                return;
            }
            $scope.cart = Storage.get('cart');
            if($scope.cart==null){
                $scope.cart={};
            }
            if(typeof $scope.cart[groupId] == "undefined"){
                $scope.cart[groupId]=$scope.group;
                Storage.set('cart',$scope.cart);
                $ionicPopup.alert({
                    title: "加入购物车成功"
                });
                return true;
            }else{
                $ionicPopup.alert({
                    title: "已经加入过购物车了"
                });
                return false;
            }
        }
        $scope.goBuy = function(groupId){
            if (!User.isLogin()) {
                $ionicPopup.alert({
                    title: '请先登陆!',
                    buttons: [{
                        text: 'OK',
                        type: 'button-positive',
                        onTap: function (e) {
                            $state.go("login");
                        }
                    }]
                });
                return;
            }
            $state.go('^.buy',{groupId:groupId});
        }
    })
    .controller('MallCartCtrl',function($scope,$state,$stateParams,$ionicPopup,$ionicModal,Merchant,Storage,User,userInfo){
        $scope.user = userInfo;
        $scope.cart ={uid:$scope.user.uid,list:{},address:{},sum:0}
        User.getOneAdress($scope.user.uid).$promise.then(function (response) {
            $scope.cart.address = response.data;
        });
        $scope.init=function () {
            $scope.cart.list = Storage.get('cart');
            $scope.all=true;
            for(i in $scope.cart.list){
                $scope.cart.list[i]['ischeck'] = true;
                $scope.cart.list[i]['num'] = 1;
                $scope.computeMoney();
            }
        }
        $scope.addNum=function (groupId) {
            $scope.cart.list[groupId].num++;
            $scope.computeMoney();
        }
        $scope.minusNum=function (groupId) {
                if($scope.cart.list[groupId].num>1){
                    $scope.cart.list[groupId].num--;
                    $scope.computeMoney();
                }else{
                    var confirmPopup = $ionicPopup.confirm({
                        title: '是否把该商品从购物车中移除'
                    });
                    confirmPopup.then(function(res) {
                    if(res) {
                        delete $scope.cart.list[groupId];
                        Storage.set('cart',$scope.cart.list);
                    }
                });
            }
        }
        $scope.computeMoney=function () {
            $scope.tempSum = 0;
            $scope.noCheck = 0;
            for(i in $scope.cart.list){
                $scope.cart.list[i]['money'] = $scope.cart.list[i]['price']*$scope.cart.list[i]['num'];
                if($scope.cart.list[i]['ischeck'] ==true){
                    $scope.tempSum=$scope.tempSum+parseFloat($scope.cart.list[i]['money']);
                }else{
                    $scope.noCheck++;
                }
            }
            $scope.cart.sum=$scope.tempSum;
            if($scope.noCheck>0){
                $scope.all = false;
            }else{
                $scope.all = true;
            }
        }
        $scope.checkAll=function () {
            for(i in $scope.cart.list){
                $scope.cart.list[i]['ischeck'] = $scope.all;
            }
            $scope.computeMoney();
        }
        
        $ionicModal.fromTemplateUrl('my-modal.html', {
            scope: $scope,
            animation: 'slide-in-up',
        }).then(function(modal) {
            $scope.modal = modal;
        });
        $scope.openModal = function() {
            if(!$scope.cart.address){
                $ionicPopup.alert({
                    title: '请添加默认收货地址!',
                    buttons: [{
                        text: 'OK',
                        type: 'button-positive',
                        onTap: function (e) {
                            $state.go("modifyAddress");
                        }
                    }]
                });
                return;
            }
            $scope.checkOrder();
        };
        $scope.closeModal = function() {
            $scope.modal.hide();
        };
        $scope.checkOrder = function() {
            var templist=[];
            for (i in $scope.cart.list) {
                templist.push({
                    'group_id':$scope.cart.list[i]['group_id'],
                    'num':$scope.cart.list[i]['num'],
                });
            }
            $scope.paydata={
                uid:$scope.user.uid,
                adress_id:$scope.cart.address.adress_id,
                total_money:$scope.cart.sum,
                list:templist,
            }

            User.checkOrder($scope.paydata).$promise.then(function(response) {
                if (response.error_code == false) {
                    $scope.orders = response.data;
                    $scope.modal.show();
                }else{
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        }
        $scope.goBuy=function () {
            if($scope.user.now_money<$scope.cart.sum){
                $ionicPopup.alert({
                    title: '余额不足，请先充值!',
                    buttons: [{
                        text: 'OK',
                        type: 'button-positive',
                        onTap: function (e) {
                            $scope.modal.hide();
                            $state.go("recharge");
                        }
                    }]
                });
                return;
            }else{
                $ionicPopup.show({
                    template: '<input type="password" ng-model="cart.safeword">',
                    title: '请输入安全密码！',
                    scope: $scope,
                    buttons: [
                        { text: 'Cancel' },
                        {
                            text: '<b>OK</b>',
                            type: 'button-positive',
                            onTap: function(e) {
                                if (!$scope.cart.safeword) {
                                    e.preventDefault();
                                } else {
                                    $scope.pay($scope.cart.safeword);
                                }
                            }
                        },
                    ]
                });
            }
        }
        $scope.pay = function(safeword) {
            User.goPay($scope.user.uid,safeword,$scope.orders).$promise.then(function(response) {
                if (response.error_code == false) {
                    $scope.modal.hide();
                    User.updateUser();
                    Storage.remove('cart');
                    $ionicPopup.alert({
                        title: '支付成功!',
                        buttons: [{
                            text: 'OK',
                            type: 'button-positive',
                            onTap: function (e) {
                                $state.go("tab.mall");
                            }
                        }]
                    });
                }else{
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        }
        $scope.init();
    })
    .controller('MallBuyCtrl',function($scope,$state,$stateParams,$ionicPopup,$ionicModal,Storage,Merchant,User,userInfo){
        $scope.user = userInfo;
        $scope.buyData={num:1,price:0,sum:0,remark:'',address_id:'',safeword:''};
        Merchant.get_group_detail($stateParams.groupId).$promise.then(function(response) {
            $scope.group = response.data;
            $scope.buyData.price=$scope.group.price;
            $scope.buyData.sum=$scope.buyData.price*$scope.buyData.num;
        });
        User.getOneAdress($scope.user.uid).$promise.then(function (response) {
            $scope.defaultAddress = response.data;
            $scope.buyData.adress_id=$scope.defaultAddress!=null?$scope.defaultAddress.adress_id:0;
        });
        $scope.addNum=function () {
            $scope.buyData.num++;
            $scope.buyData.sum=$scope.buyData.price*$scope.buyData.num;
        }
        $scope.minusNum=function () {
            if($scope.buyData.num>0){
                $scope.buyData.num--;
                $scope.buyData.sum=$scope.buyData.price*$scope.buyData.num;
            }
        }
        $ionicModal.fromTemplateUrl('my-modal.html', {
            scope: $scope,
            animation: 'slide-in-up',
        }).then(function(modal) {
            $scope.modal = modal;
        });
        $scope.openModal = function() {
            if(!$scope.buyData.adress_id){
                $ionicPopup.alert({
                    title: '请添加默认收货地址!',
                    buttons: [{
                        text: 'OK',
                        type: 'button-positive',
                        onTap: function (e) {
                            $state.go("modifyAddress");
                        }
                    }]
                });
                return;
            }
            $scope.checkOrder();
        };
        $scope.closeModal = function() {
            $scope.modal.hide();
        };
        $scope.checkOrder = function() {

            var templist=[];
            templist.push({
                'group_id':$scope.group['group_id'],
                'num':$scope.buyData.num,
            });
            $scope.paydata={
                uid:$scope.user.uid,
                adress_id:$scope.buyData.adress_id,
                total_money:$scope.buyData.num,
                list:templist,
            }

            User.checkOrder($scope.paydata).$promise.then(function(response) {
                if (response.error_code == false) {
                    $scope.orders = response.data;
                    $scope.modal.show();
                }else{
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        }
        $scope.goBuy=function () {
            if($scope.user.now_money<$scope.buyData.sum){
                $ionicPopup.alert({
                    title: '余额不足，请先充值!',
                    buttons: [{
                        text: 'OK',
                        type: 'button-positive',
                        onTap: function (e) {
                            $scope.modal.hide();
                            $state.go("recharge");
                        }
                    }]
                });
                return;
            }else{
                $ionicPopup.show({
                    template: '<input type="password" ng-model="buyData.safeword">',
                    title: '请输入安全密码！',
                    scope: $scope,
                    buttons: [
                        { text: 'Cancel' },
                        {
                            text: '<b>OK</b>',
                            type: 'button-positive',
                            onTap: function(e) {
                                if (!$scope.buyData.safeword) {
                                    e.preventDefault();
                                } else {
                                    $scope.pay($scope.buyData.safeword);
                                }
                            }
                        },
                    ]
                });
            }
        }
        $scope.pay = function(safeword) {
            User.goPay($scope.user.uid,safeword,$scope.orders).$promise.then(function(response) {
                if (response.error_code == false) {
                    $scope.modal.hide();
                    User.updateUser();
                    Storage.remove('cart');
                    $ionicPopup.alert({
                        title: '支付成功!',
                        buttons: [{
                            text: 'OK',
                            type: 'button-positive',
                            onTap: function (e) {
                                $state.go("tab.mall");
                            }
                        }]
                    });
                }else{
                    $ionicPopup.alert({
                        title: response.msg
                    });
                }
            });
        }
    });
