angular.module('myApp.controllers')
    //店铺列表控制器
    .controller('StoreCtrl', function ($scope,$state,Merchant) {
        $scope.init=function () {
            //位置坐标
            $scope.lat=0;
            $scope.long=0;
            //排序项
            $scope.sort_array=[
                {'sort_id':'juli','sort_value':'离我最近'},
                {'sort_id':'time','sort_value':'最新发布'},
                {'sort_id':'solds','sort_value':'人气最高'},
            ];
            //选项卡
            $scope.show_area=false;
            $scope.show_sort=false;
            //当前区域和排序
            $scope.now_area={'province':'','city':'','area':'','name':'全国','area_id':''};
            $scope.now_sort={'sort_id':'juli','name':'离我最近'}
            //获取省级区域
            Merchant.get_area_list(0).$promise.then(function (response) {
                $scope.province_list = response.data;
            });
            $scope.getUserLocation();
            if (!$scope.lat&&!$scope.long) {
                $scope.get_store_list();
            }
        }
        $scope.getUserLocation = function () {
            var error_msg='';
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(function (position) {
                    $scope.lat=position.coords.latitude;
                    $scope.long=position.coords.longitude;
                    $scope.get_store_list();
                }, function (error) {
                    switch (error.code) {
                        case error.PERMISSION_DENIED:
                            error_msg='定位失败,用户拒绝请求地理定位';
                            break;
                        case error.POSITION_UNAVAILABLE:
                            error_msg='定位失败,位置信息是不可用';
                            break;
                        case error.TIMEOUT:
                            error_msg='定位失败,请求获取用户位置超时';
                            break;
                        case error.UNKNOWN_ERROR:
                            error_msg='定位失败,定位系统失效';
                            break;
                    }
                });
            } else {
                error_msg='不支持地理定位。';
            }
        }

        $scope.dropdown_toggle= function (type) {
            if(type=='area'){
                $scope.show_area=!$scope.show_area;
                $scope.show_sort=false;
            }else if(type=='sort'){
                $scope.show_area=false;
                $scope.show_sort=!$scope.show_sort;
            }
        }
        $scope.sort = function(data){
            switch(data.sort_id){
                case 'juli':
                $scope.now_sort.sort_id='juli';
                break;
                case 'time':
                default:
                $scope.now_sort.sort_id='-last_time';
                break;
            }
            $scope.show_sort=false;
            $scope.get_store_list();
        }
        $scope.shaixuan = function (data,type) {
            Merchant.get_area_list(data.area_id).$promise.then(function (response) {
                if (type == '1') {
                    $scope.now_area.province = data;
                    $scope.city_list = response.data;
                    if ($scope.city_list != null) {
                        $scope.area_has_city=true;
                        $scope.area_has_area=false;
                        return false;
                    }else{
                        $scope.area_has_city=false;
                        $scope.now_area.name = data.area_name?data.area_name:'全国';
                        $scope.now_area.area_id = data.area_id !=-1?data.area_id:0;;
                        $scope.now_area.area_type = data.area_type?data.area_type:0;
                    }
                }else if(type == '2'){
                    $scope.now_area.city = data;
                    $scope.area_list = response.data;
                    if ($scope.area_list != null) {
                        $scope.area_has_area=true;
                        return false;
                    }else{
                        $scope.area_has_area=false;
                        $scope.now_area.name = data.area_name?data.area_name:$scope.now_area.province.area_name;
                        $scope.now_area.area_id = data.area_id !=-1?data.area_id:$scope.now_area.province.area_id;
                        $scope.now_area.area_type = data.area_type?data.area_type:1;
                    }
                }else if(type == '3'){
                    $scope.now_area.area = data;
                    $scope.now_area.name = data.area_name?data.area_name:$scope.now_area.city.area_name;
                    $scope.now_area.area_id = data.area_id !=-1?data.area_id:$scope.now_area.city.area_id;
                    $scope.now_area.area_type = data.area_type?data.area_type:2;
                }
                
                $scope.show_area=false;
                $scope.get_store_list();
            });
        }
        $scope.get_store_list=function () {
            Merchant.get_store_list($scope.now_area.area_id,$scope.now_area.area_type,$scope.lat,$scope.long).$promise.then(function (response) {
                $scope.store_list = response.data;
            });
        }
        //跳转到店铺详情页
        $scope.goto_detail = function (storeId) {
            $state.go('tab.store.detail',{storeId:storeId});
        }
        //刷新
        $scope.doRefresh = function () {
            $scope.getUserLocation();
            Merchant.get_store_list($scope.now_area.area_id,$scope.now_area.area_type,$scope.lat,$scope.long).$promise.then(function (response) {
                $scope.store_list = response.data;
                $scope.$broadcast('scroll.refreshComplete');
            });
        }

        $scope.init();
    })
    //店铺详情页控制器
    .controller('StoreDetailCtrl', function ($scope,$state,$stateParams,$ionicNavBarDelegate,$cordovaInAppBrowser,Merchant,ENV) {
        $scope.storeId = $stateParams.storeId;
        $scope.init=function () {
            $scope.getUserLocation();
            $scope.get_store_detail();
        }
        $scope.getUserLocation = function () {
            var error_msg='';
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(function (position) {
                    $scope.lat=position.coords.latitude;
                    $scope.long=position.coords.longitude;
                    $scope.get_store_detail();
                }, function (error) {
                    switch (error.code) {
                        case error.PERMISSION_DENIED:
                            error_msg='定位失败,用户拒绝请求地理定位';
                            break;
                        case error.POSITION_UNAVAILABLE:
                            error_msg='定位失败,位置信息是不可用';
                            break;
                        case error.TIMEOUT:
                            error_msg='定位失败,请求获取用户位置超时';
                            break;
                        case error.UNKNOWN_ERROR:
                            error_msg='定位失败,定位系统失效';
                            break;
                    }
                });
            } else {
                error_msg='不支持地理定位。';
            }
        }
        $scope.get_store_detail=function () {
            Merchant.get_store_detail($scope.storeId,$scope.lat,$scope.long).$promise.then(function (response) {
                $scope.store = response.data;
                $ionicNavBarDelegate.title($scope.store.name);
                console.log($ionicNavBarDelegate.title());
            });
        }

        $scope.daohang=function(){
            var url =ENV.site_url+'/wap.php?g=Wap&c=Group&a=addressinfo&store_id='+$scope.storeId;

            var options = {
                location: 'no',
                clearcache: 'yes',
                hardwareback: 'yes',
                toolbar: 'yes'
            };

            $cordovaInAppBrowser.open(url, '_blank', options)
            .then(function(event) {

            })
            .catch(function(event) {

            });
        }
        $scope.yuyue=function(){
            $state.go('tab.store.yuyue',{storeId:$scope.storeId});
        }
        $scope.init();
    })
    .controller('YuYueCtrl', function ($scope,$state,$stateParams,$ionicPopup,$ionicHistory,Merchant,User) {
        $scope.storeId = $stateParams.storeId;
        Merchant.get_store_detail($scope.storeId,0,0).$promise.then(function (response) {
            $scope.store = response.data;
        });

        $scope.yuyueData = {store_id:$scope.storeId};
        $scope.yuyue = function(){
            Merchant.yuyue($scope.yuyueData).$promise.then(function (response) {
                 if (response.error == false) {
                    $ionicPopup.alert({
                        title: response.msg,
                        buttons: [{
                            text: 'OK',
                            type: 'button-positive',
                            onTap: function (e) {
                                $ionicHistory.goBack();
                            }
                        }]
                    });
                 }else{
                    $ionicPopup.alert({
                        title: response.msg,
                    });
                 }
            });
        }
    });
