angular.module('myApp.filters')
	.filter('sexFormat', function () {
        return function (sex) {
            if (sex == 1) {
            	return '男';
            }else if (sex == 2) {
            	return '女';
            }else{
            	return '未知';
            }       
        }
    })
    .filter('priceFormat', function () {
        return function (price,type) {
            if (type == 1) {
                return '+'+price;
            }else{
                return '-'+price;
            }       
        }
    })
    .filter('isEmptyObject', [function () {
        return function (obj) {
            if ("object" == typeof(obj)) {
                return angular.element.isEmptyObject(obj);
            }
            return true;
        }
    }])
    .filter('uploadImageUrl', ['$rootScope', function ($rootScope) {
        return function (text,dir) {
            var site_url = 'http://kangchi.hzoto.eval.top';
            var image_url = '';
            if(text){
                text = text.replace(",", "/");
            }
            if(!dir){
                image_url = site_url+text;
            }else{
                image_url = site_url + '/upload/'+dir+'/'+text;
            }
            return image_url;
        }
    }])
    .filter('suolve', ['$rootScope', function ($rootScope) {
        return function (str,length) {
            var sub_length = 50 ;
            var temp1 = str.replace(/[^\x00-\xff]/g,"**");//精髓
            var temp2 = temp1.substring(0,sub_length);
            //找出有多少个*
            var x_length = temp2.split("\*").length - 1 ;
            var hanzi_num = x_length /2 ;
            sub_length = sub_length - hanzi_num ;//实际需要sub的长度是总长度-汉字长度
            var res = str.substring(0,sub_length);
            if(sub_length < str.length ){
                var end =res+"……" ;
            }else{
                var end = res ;
            }
            return end ;
        }
    }])
    //发送短信按钮文字
    .filter("sendButtonText", ['$filter', function ($filter) {
        return function (time) {
            if(time==0){
                return "获取验证码";
            }else{
                return time + "秒后可重发";
            }
        };
    }])
    .filter("dateFormat", ['$filter', function ($filter) {
        return function (time, format) {
            format = format ? format : 'yyyy-MM-dd HH:mm:ss';
            if (time > 0) {
                return $filter('date')(parseInt(time) * 1000, format)
            }
        };
    }]);