angular.module('myApp.services')

.factory('Merchant', function($resource,$q, ENV) {

  var getStoreListResource = $resource(ENV.api.merchant + 'get_store_list');
  var getStoreDetailResource = $resource(ENV.api.merchant + 'get_store_detail');
  var getGroupListResource = $resource(ENV.api.merchant + 'get_group_list');
  var getGroupDetailResource = $resource(ENV.api.merchant + 'get_group_detail');
  var getAreaListResource = $resource(ENV.api.merchant + 'get_area_list');
  var yuYueResource = $resource(ENV.api.merchant + 'yuyue');

  return {
    // 获取店铺列表
    get_store_list: function(area_id,area_type,lat,long) {
      return getStoreListResource.get({area_id:area_id,area_type:area_type,lat:lat,long:long});
    },
    // 获取店铺详情
    get_store_detail: function(storeId,lat,long) {
      return getStoreDetailResource.get({store_id: storeId,lat:lat,long:long});
    },
    // 获取商品列表
    get_group_list: function() {
      return getGroupListResource.get();
    },
    //获取商品详情
    get_group_detail: function(groupId) {
      return getGroupDetailResource.get({group_id: groupId});
    },
    // 获取所有地区
    get_area_list:function (pid) {
      return getAreaListResource.get({pid:pid});
    },
    //预约
    yuyue:function(yuyueData){
      return yuYueResource.get(yuyueData);
    }
  };

});