angular.module('myApp.services')

.factory('User', function($resource, $state, $ionicPopup, Storage, ENV) {
	var storageKey = 'user';
	var sendSmsResource = $resource(ENV.api.user + 'sendSms');
	var regResource = $resource(ENV.api.user + 'reg');
	var checkYzmResource = $resource(ENV.api.user + 'check_yzm');
	var loginResource = $resource(ENV.api.user + 'login');
	var getUserResource = $resource(ENV.api.user + 'get_user');
	var modifyResource = $resource(ENV.api.user + 'modify_user');
	var getAdressListResource = $resource(ENV.api.user + 'get_adress_list');
	var getOneAdressResource = $resource(ENV.api.user + 'get_one_adress');
	var modifyAdressResource = $resource(ENV.api.user + 'modify_adress');
	var delAdressResource = $resource(ENV.api.user + 'del_adress');
	var rechargeResource = $resource(ENV.api.user + 'recharge');
	var getHealthLogResource=$resource(ENV.api.user + 'get_health_log');
	var uploadImageResource=$resource(ENV.api.user + 'uploaded_image',null,{get:{method:'PUT'}});
	var goPayResource = $resource(ENV.api.user + 'go_pay');
	var checkOrderResource=$resource(ENV.api.user + 'check_order');
	var getRechargeOrderResource=$resource(ENV.api.user + 'get_recharge_order');
	var user = Storage.get(storageKey) || {};
	return {
		//发送短信
		sendSms: function(mobile){
			return sendSmsResource.get({mobile: mobile});

		},
		//注册
		reg: function(regData){
			return regResource.get(regData);
		},
		//验证码
		checkYzm: function(forgetData){
			return checkYzmResource.get(forgetData);
		},
		//登陆
		login: function(loginData){
			return loginResource.get(loginData, function(response){
				if (response.error_code == false){
					user = response.user;
					Storage.set(storageKey, user);
				}
				else{

				}
			});
		},
		isLogin: function () {
			for (v in user)
				return true;
			return false;
		},
		getUser: function () {
			for (v in user){
				return user;
			}
			$ionicPopup.alert({
				title: "请先登陆",
				buttons: [{
					text: 'OK',
					type: 'button-positive',
					onTap: function (e) {
						$state.go('login');
					}
				}]
			});
			deferred.reject();
			return false;
		},
		//更新用户信息
		updateUser: function(){
			return getUserResource.get({uid:user.uid}, function(response){
				if (response.error_code == false) {
					user = response.data;
					Storage.set(storageKey, user);
				}
			});
		},
		//修改用户信息
		modifyUser: function(field,modifyData){
			return modifyResource.get(modifyData, function(response){
				if (response.error_code == false) {
					user[field]=response.data[field];
					Storage.set(storageKey, user);
				}
			});
		},
		//获取收货地址列表
		getAdressList: function(uid) {
			return getAdressListResource.get({uid:uid});
		},
		getOneAdress: function(uid,adress_id) {
			return getOneAdressResource.get({uid:uid,adress_id:adress_id});
		},
		//新增修改收货地址
		modifyAdress: function(modifyData){
			return modifyAdressResource.get(modifyData);
		},
		//删除收货地址
		delAdress: function(uid,adress_id){
			return delAdressResource.get({uid:uid,adress_id:adress_id});
		},
		recharge: function(modifyData){
			return rechargeResource.get(modifyData);
		},
		logout: function(){
			user = {};
			Storage.remove(storageKey);
			return true;
		},
		getHealthLog:function(uid){
			return getHealthLogResource.get({uid:uid,limit:5});
		},
		uploadImage:function (img) {
			return uploadImageResource.get(img);
		},
		checkOrder:function(cart){
			return checkOrderResource.save(cart);
		},
		goPay:function(uid,safeword,order){
			return goPayResource.get({uid:uid,safeword:safeword,order:order});
		},
		getRechargeOrderList:function(uid,limit){
			return getRechargeOrderResource.get({uid:uid,limit:limit});
		},
	};
});
